docs

# VideoNoteFile

data class VideoNoteFile ( val fileId: FileId , val fileUniqueId: FileUniqueId , val width: Int , val duration: Long ? = null, val thumb: PhotoSize ? = null, val fileSize: Long ? = null) : TelegramMediaFile, ThumbedMediaFile, PlayableMediaFile, SizedMediaFile
Content copied to clipboard

## Constructors

VideoNoteFile
Link copied to clipboard
fun VideoNoteFile ( fileId: FileId , fileUniqueId: FileUniqueId , width: Int , duration: Long ? = null, thumb: PhotoSize ? = null, fileSize: Long ? = null)
Content copied to clipboard

## Properties

duration
Link copied to clipboard
open override val duration : Long ? = null
Content copied to clipboard
fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard
height
Link copied to clipboard
open override val height : Int
Content copied to clipboard
thumb
Link copied to clipboard
open override val thumb : PhotoSize ? = null
Content copied to clipboard
width
Link copied to clipboard
open override val width : Int
Content copied to clipboard